Please fix ecogrid in PPBio's metadata view in search results
2016-05-13 18:02 - Laura Moyers
Target version: Operational

Story Points:

Description

Much/all of PPBio's metadata content has ecogrid/... stuff in the online distribution tags in their EML.

ecogrid://knb/PPBioMA.4.1

We think this shouldn't be showing up in the metadata view in search results.

[13:52] hi all - we have an issue with ecogrid identifiers being rendered as links to the CN when present in search results. e.g.
https://search.dataone.org/#view/PPBioMA.3.4

[13:53] | expect this is functionality that works on metacat as standalone, but needs to be disabled on the CN search Ul, is that
correct?

[13:56] vieglais: yeah, those links are 1) MN-only, 2) Metacat only, 3) old Metacat API

[18:57] they’re rendered with the EML XSLT, and probably should be removed unless they start with http[s]://

[13:58] ah, ok.

[13:59] | thought lauren had done some magic in the D1 theme to rid us of those

[13:59] maybe she'll know best

[13:59] dave - so should i ask specifically that lauren sort that out in the stylesheet?

[13:59] i see them in the arctic theme too - not something we really want there either

History

#1 - 2016-05-16 19:50 - Laura Moyers

- Subject changed from Please fix ecogrid in PPBio's metacat view in search results to Please fix ecogrid in PPBio's metadata view in search results

#2 - 2016-05-19 20:00 - Ben Leinfelder
- Status changed from New to In Progress

- % Done changed from 0 to 30

Lauren has fixed this in the Metacat Ul repository and has slated it for release in the next Metacat Ul release of 1.11.4. Probably near end of May
2016.
https://projects.ecoinformatics.org/ecoinfo/issues/7026

#3 - 2016-05-19 21:07 - Laura Moyers

Will PPBio have to take some action with their metacat instance when this change is effected (to 1.11.4) or will it be transparent to metacat users?

#4 - 2016-05-20 23:42 - Ben Leinfelder
- translation missing: en.field_remaining_hours set to 0.0
- Status changed from In Progress to Closed

- % Done changed from 30 to 100
For the CN, there will be no action required on the part of PPBio. If they are using Metacat Ul in their MN instance, then they will need to upgrade
their Ul to 1.11.4. But for the MN, it should be okay to have that old ecogrid URL show, even if it uses an old API, it still 'works' if someone clicks it.

#5 - 2016-05-20 23:43 - Ben Leinfelder

- Estimated time set to 0.00

BTW - | did confirm that Metacat Ul 1.11.4 will have this fixed. Not sure who is responsible for deploying new metacat Ul versions to
search.dataone.org.

#6 - 2016-05-20 23:51 - Matthew Jones

Lauren has been handling those upgrades. If it is time sensitive, we should identify someone else (Chris, Ben, ...?), as she is out of the office for a
bit. Otherwise, she can upgrade on her return.

#7 - 2016-06-21 00:47 - Lauren Walker

search.dataone.org has been updated with metacatui.1.11.4, so the ecogrid link issue is now fixed in production.
